<?PHP
/**
 * This file contains an exception class to be thrown if users try to set
 * insufficient / too weak passwords.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * This file contains an exception class to be thrown if users try to set
 * insufficient / too weak passwords.
 */
final class MDInsufficientPassword extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Insufficient / weak password: ' . $this->getMessage();

    }
}
